Bug 1130546 - systemtap testsuite crashes expect when running with RUNTESTFLAGS=--debug -v -v -v
Summary: systemtap testsuite crashes expect when running with RUNTESTFLAGS=--debug -v ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: expect
Version: 6.6
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 1038931
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 13:50 UTC by Martin Cermak
Modified: 2017-12-06 11:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1038931
Environment:
Last Closed: 2017-12-06 11:46:43 UTC


Attachments (Terms of Use)

Description Martin Cermak 2014-08-15 13:50:58 UTC
+++ This bug was initially created as a clone of Bug #1038931 +++

The procfs_write.exp testcase from the systemtap testsuite crashes expect when run in debug mode:

make RUNTESTFLAGS='--debug -v -v -v  systemtap.base/procfs_write.exp' installcheck 

Fixed in RHEL7:

* Thu Dec 12 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.49-10
- Use vsnprintf instead of vsprintf to avoid buffer overflow
  (it happens e.g. when running systemtap testsuite)
  Resolves: #1038931

Comment 3 Jan Kurik 2017-12-06 11:46:43 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.